package com.Config;

import com.entity.User;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
//@Configuration(proxyBeanMethods = false)
public class TestConfiguration {
    @Bean
    public String testStringBean() {
        return "String";
    }
    @Bean("user1")
    public User getUser1() {
        return new User(1,"user1");
    }
    @Bean("user2")
    public User getUser2() {
        return new User(2,"user2");
    }
}
